Loading...
Searching...
No Matches
XrdOucIOVec2 Struct Reference

`#include <XrdOucIOVec.hh>`

Inheritance diagram for XrdOucIOVec2:
Collaboration diagram for XrdOucIOVec2:

## Public Member Functions

| XrdOucIOVec2 (char *buff, long long offs, int sz, int inf=0)

## Additional Inherited Members

Public Attributes inherited from XrdOucIOVec
char * | data
int | info
long long | offset
int | size

## Detailed Description

Definition at line 50 of file XrdOucIOVec.hh.

## Constructor & Destructor Documentation

## XrdOucIOVec2()

XrdOucIOVec2::XrdOucIOVec2 | ( | char * | buff,
|  | long long | offs,
|  | int | sz,
|  | int | inf = 0 )

inline

Definition at line 52 of file XrdOucIOVec.hh.

{XrdOucIOVec::offset = offs;
XrdOucIOVec::size = sz;
XrdOucIOVec::info = inf;
XrdOucIOVec::data = buff;
}
XrdOucIOVec::size
int size
Definition XrdOucIOVec.hh:43
XrdOucIOVec::offset
long long offset
Definition XrdOucIOVec.hh:42
XrdOucIOVec::data
char * data
Definition XrdOucIOVec.hh:45
XrdOucIOVec::info
int info
Definition XrdOucIOVec.hh:44

References XrdOucIOVec::data, XrdOucIOVec::info, XrdOucIOVec::offset, and XrdOucIOVec::size.

The documentation for this struct was generated from the following file:

- XrdOucIOVec.hh